all: mkdirs softlinks 
	@echo "Running firstrun and Linking softlinks"

softlinks: dependencies 
	@test -L ${HOME}/.mutt || ln -s ${HOME}/dotfiles/.mutt ${HOME}/.mutt
	@test -L ${HOME}/.muttrc || ln -s ${HOME}/dotfiles/.muttrc ${HOME}/.muttrc
	@test -L ${HOME}/.elinks || ln -s ${HOME}/dotfiles/.elinks ${HOME}/.elinks
	@test -L ${HOME}/.irssi || ln -s ${HOME}/dotfiles/.irssi ${HOME}/.irssi
	@test -L ${HOME}/.gitconfig || ln -s ${HOME}/dotfiles/.gitconfig ${HOME}/.gitconfig
	@test -L ${HOME}/.abcde.conf || ln -s ${HOME}/dotfiles/.abcde.config ${HOME}/.abcde.conf
	@test -L ${HOME}/.conkyrc || ln -s ${HOME}/dotfiles/.conkyrc ${HOME}/.conkyrc
	@test -L ${HOME}/.crawlrc || ln -s ${HOME}/dotfiles/.crawlrc ${HOME}/.crawlrc
	@test -L ${HOME}/.dosbox || ln -s ${HOME}/dotfiles/.dosbox ${HOME}/.dosbox
	@test -L ${HOME}/.ssh/config || ln -s ${HOME}/dotfiles/.ssh/config ${HOME}/.ssh/config
	@test -L ${HOME}/.gitconfig || ln -s ${HOME}/dotfiles/.gitconfig ${HOME}/.gitconfig
	@test -L ${HOME}/.gitignore || ln -s ${HOME}/dotfiles/.gitignore ${HOME}/.gitignore
	@test -L ${HOME}/.tmux.conf || ln -s ${HOME}/dotfiles/.tmux.conf ${HOME}/.tmux.conf


gitconfig: dependencies softlinks
	git config --global user.name "${USER} (${HOST})"
	git config --global user.email chawley@planethawleywood.com

dependencies:
	sudo apt install mutt
	sudo apt install tmux
	sudo apt install elinks
	sudo apt install irssi
	sudo apt install git
	sudo apt install abcde
	sudo apt install dosbox
	sudo apt install conky

mkdirs:
	mkdir -p ${HOME}/bin
	mkdir -p ${HOME}/.ssh

